Skip to main content

List Customer Subscriptions

Return every subscription attached to a customer, regardless of state or provider.

URL

GET /api/c2a/subscription/{customerUrn}

Request Parameters

NameTypeDescription
customerUrnstringPath parameter, required. Azotte customer URN.

Response Parameters

Wraps IEnumerable<CustomerSubscriptionInfoDto>.

NameTypeDescription
resultarray (CustomerSubscriptionInfoDto[])All subscriptions for the customer.
result[].bundleNamestringDisplay name of the bundle.
result[].bundleSkustringTenant-side SKU.
result[].bundleUrnstringAzotte bundle URN.
result[].statestring (EnSubscriptionState)Trial, Active, PastDue, Canceled, Reactivated, Expired.
result[].startDatestring (date-time)Subscription start.
result[].endDatestring (date-time)Period end / cancel-at-period-end target.
result[].orderIdentifierstringUse in cancel/request and reactivate.
result[].originalOrderIdentifierstringRoot order id for replaced subscriptions.
result[].initialAssignmentTypestring (EnSubscriptionAssignmentType)How the subscription was first attached.
result[].subscriptionChannelNamestringResolved channel display name.
result[].subscriptionChannelstring (EnSubscriptionChannelProviderFamily)Azotte, InappPlayStore, InappAppStore, ExternalPartner.
result[].options.canCancelbooleanWhether cancel/request is allowed right now.
result[].options.canReplacebooleanWhether Replace offer flow is allowed.
statusobject (AzotteStatus)Operation status envelope.

Sample Response

{
"result": [
{
"bundleName": "Pro Monthly",
"bundleSku": "PRO-M-1",
"bundleUrn": "bn.00.42",
"state": "Active",
"startDate": "2026-04-25T00:00:00Z",
"endDate": "2026-05-25T00:00:00Z",
"orderIdentifier": "or_01J3X...",
"subscriptionChannel": "Azotte",
"options": { "canCancel": true, "canReplace": true }
}
],
"status": { "messageCode": "SUCCESS" }
}

Sample Codes

curl --location 'https://acme.sandbox.azotte.com/api/v1/c2a/subscription/cu.00.482' \
--header 'x-tn: e2a1c7b2-4f3a-4b8e-9c2d-1a2b3c4d5e6f' \
--header 'x-api-key: sk_dev_acme_sample_123456789'